## org.apache.lucene.codecs.lucene40
Class Lucene40SkipListReader

    java.lang.Object
      org.apache.lucene.codecs.MultiLevelSkipListReader
          org.apache.lucene.codecs.lucene40.Lucene40SkipListReader

All Implemented Interfaces:
  Closeable

Deprecated. Only for reading old 4.0 segments

    @Deprecated
    public class Lucene40SkipListReader

extends MultiLevelSkipListReader

Implements the skip list reader for the 4.0 posting list format that stores positions and payloads.

See Also:
  `Lucene40PostingsFormat`

Field Summary

Fields inherited from class org.apache.lucene.codecs.MultiLevelSkipListReader
`maxNumberOfSkipLevels, skipDoc`

Constructor Summary
`Lucene40SkipListReader(IndexInput skipStream, int maxSkipLevels, int skipInterval)` Deprecated. Sole constructor.

Method Summary
`long` `getFreqPointer()` Deprecated. Returns the freq pointer of the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.
`int` `getOffsetLength()` Deprecated. Returns the offset length (endOffset-startOffset) of the position stored just before the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.
`int` `getPayloadLength()` Deprecated. Returns the payload length of the payload stored just before the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.
`long` `getProxPointer()` Deprecated. Returns the prox pointer of the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.
`void` `init(long skipPointer, long freqBasePointer, long proxBasePointer, int df, boolean storesPayloads, boolean storesOffsets)` Deprecated. Per-term initialization.
`protected int` `readSkipData(int level, IndexInput skipStream)` Deprecated. Subclasses must implement the actual skip data encoding in this method.
`protected void` `seekChild(int level)` Deprecated. Seeks the skip entry on the given level
`protected void` `setLastSkipData(int level)` Deprecated. Copies the values of the last read skip entry on this level

Methods inherited from class org.apache.lucene.codecs.MultiLevelSkipListReader
`close, getDoc, init, skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene40SkipListReader

    public Lucene40SkipListReader(IndexInput skipStream,
                                  int maxSkipLevels,
                                  int skipInterval)

  Deprecated.
  Sole constructor.

Method Detail

### init

    public void init(long skipPointer,
                     long freqBasePointer,
                     long proxBasePointer,
                     int df,
                     boolean storesPayloads,
                     boolean storesOffsets)

  Deprecated.
  Per-term initialization.

### getFreqPointer

    public long getFreqPointer()

  Deprecated.
  Returns the freq pointer of the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.

### getProxPointer

    public long getProxPointer()

  Deprecated.
  Returns the prox pointer of the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.

### getPayloadLength

    public int getPayloadLength()

  Deprecated.
  Returns the payload length of the payload stored just before the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.

### getOffsetLength

    public int getOffsetLength()

  Deprecated.
  Returns the offset length (endOffset-startOffset) of the position stored just before the doc to which the last call of `MultiLevelSkipListReader.skipTo(int)` has skipped.

### seekChild

    protected void seekChild(int level)
                      throws IOException

  Deprecated.
  Description copied from class: `MultiLevelSkipListReader`
  Seeks the skip entry on the given level

  Overrides:
    `seekChild` in class `MultiLevelSkipListReader`
  Throws:
    `IOException`

### setLastSkipData

    protected void setLastSkipData(int level)

  Deprecated.
  Description copied from class: `MultiLevelSkipListReader`
  Copies the values of the last read skip entry on this level

  Overrides:
    `setLastSkipData` in class `MultiLevelSkipListReader`

### readSkipData

    protected int readSkipData(int level,
                               IndexInput skipStream)
                        throws IOException

  Deprecated.
  Description copied from class: `MultiLevelSkipListReader`
  Subclasses must implement the actual skip data encoding in this method.

  Specified by:
    `readSkipData` in class `MultiLevelSkipListReader`
  Parameters:
    `level` - the level skip data shall be read from
    `skipStream` - the skip stream to read from
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.